| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLURL Class Reference

`#include <XMLURL.hpp>`

List of all members.

## Public Types

enum | Protocols { File, HTTP, FTP, Protocols_Count, Unknown }

## Public Methods

Protocols | lookupByName (const XMLCh *const protoName)
| XMLURL ()
| XMLURL (const XMLCh *const baseURL,const XMLCh *const relativeURL)
| XMLURL (const XMLCh *const baseURL,const char *const relativeURL)
| XMLURL (const XMLURL &baseURL,const XMLCh *const relativeURL)
| XMLURL (const XMLURL &baseURL,const char *const relativeURL)
| XMLURL (const XMLCh *const urlText)
| XMLURL (const char *const urlText)
| XMLURL (const XMLURL &toCopy)
virtual | ~XMLURL ()
XMLURL& | operator= (const XMLURL &toAssign)
bool | operator== (const XMLURL &toCompare)const
bool | operator!= (const XMLURL &toCompare)const
const XMLCh* | getFragment ()const
const XMLCh* | getHost ()const
const XMLCh* | getPassword ()const
const XMLCh* | getPath ()const
unsigned int | getPortNum ()const
Protocols | getProtocol ()const
const XMLCh* | getProtocolName ()const
const XMLCh* | getQuery ()const
const XMLCh* | getURLText ()const
const XMLCh* | getUser ()const
void | setURL (const XMLCh *const urlText)
void | setURL (const XMLCh *const baseURL,const XMLCh *const relativeURL)
void | setURL (const XMLURL &baseURL,const XMLCh *const relativeURL)
bool | isRelative ()const
BinInputStream* | makeNewStream ()const
void | makeRelativeTo (const XMLCh *const baseURLText)
void | makeRelativeTo (const XMLURL &baseURL)

## Member Enumeration Documentation

enum XMLURL::Protocols

Enumeration values:

  File |
  HTTP |
  FTP |
  Protocols_Count |
  Unknown |

## Constructor & Destructor Documentation

XMLURL::XMLURL ( | )

XMLURL::XMLURL ( | const XMLCh *const baseURL,
| const XMLCh *const relativeURL )

XMLURL::XMLURL ( | const XMLCh *const baseURL,
| const char *const relativeURL )

XMLURL::XMLURL ( | const XMLURL & baseURL,
| const XMLCh *const relativeURL )

XMLURL::XMLURL ( | const XMLURL & baseURL,
| const char *const relativeURL )

XMLURL::XMLURL ( | const XMLCh *const urlText )

XMLURL::XMLURL ( | const char *const urlText )

XMLURL::XMLURL ( | const XMLURL & toCopy )

virtual XMLURL::~XMLURL ( | )`[virtual]`

## Member Function Documentation

const XMLCh * XMLURL::getFragment ( | ) const

const XMLCh * XMLURL::getHost ( | ) const

const XMLCh * XMLURL::getPassword ( | ) const

const XMLCh * XMLURL::getPath ( | ) const

unsigned int XMLURL::getPortNum ( | ) const

XMLURL::Protocols XMLURL::getProtocol ( | ) const

const XMLCh* XMLURL::getProtocolName ( | ) const

const XMLCh * XMLURL::getQuery ( | ) const

const XMLCh * XMLURL::getURLText ( | ) const

const XMLCh * XMLURL::getUser ( | ) const

bool XMLURL::isRelative ( | ) const

Protocols XMLURL::lookupByName ( | const XMLCh *const protoName )

BinInputStream* XMLURL::makeNewStream ( | ) const

void XMLURL::makeRelativeTo ( | const XMLURL & baseURL )

void XMLURL::makeRelativeTo ( | const XMLCh *const baseURLText )

bool XMLURL::operator!= ( | const XMLURL & toCompare ) const

XMLURL& XMLURL::operator= ( | const XMLURL & toAssign )

bool XMLURL::operator== ( | const XMLURL & toCompare ) const

void XMLURL::setURL ( | const XMLURL & baseURL,
| const XMLCh *const relativeURL )

void XMLURL::setURL ( | const XMLCh *const baseURL,
| const XMLCh *const relativeURL )

void XMLURL::setURL ( | const XMLCh *const urlText )

The documentation for this class was generated from the following file:

- XMLURL.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.